Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.swing
Class SoapUISplitPaneUI.SoapUIDivider.SoapUIDividerLayout

    java.lang.Object
      com.eviware.soapui.support.swing.SoapUISplitPaneUI.SoapUIDivider.SoapUIDividerLayout

All Implemented Interfaces:
  java.awt.LayoutManager

Enclosing class:
  SoapUISplitPaneUI.SoapUIDivider

    protected class SoapUISplitPaneUI.SoapUIDivider.SoapUIDividerLayout

extends java.lang.Object
implements java.awt.LayoutManager

Constructor Summary
`SoapUISplitPaneUI.SoapUIDivider.SoapUIDividerLayout()`

Method Summary
`void` | `addLayoutComponent(java.lang.String string, java.awt.Component c)`
`void` | `layoutContainer(java.awt.Container c)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container c)`
`void` | `removeLayoutComponent(java.awt.Component c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapUISplitPaneUI.SoapUIDivider.SoapUIDividerLayout

    public SoapUISplitPaneUI.SoapUIDivider.SoapUIDividerLayout()

Method Detail

### layoutContainer

    public void layoutContainer(java.awt.Container c)

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container c)

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component c)

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(java.lang.String string,
                                   java.awt.Component c)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.